<?php

/*******************************************************************************
  The MIT License

  Copyright (c) 2008-2009 Shark++ Software.

  Permission is hereby granted, free of charge, to any person obtaining a copy
  of this software and associated documentation files (the "Software"), to deal
  in the Software without restriction, including without limitation the rights
  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
  copies of the Software, and to permit persons to whom the Software is
  furnished to do so, subject to the following conditions:

  The above copyright notice and this permission notice shall be included in
  all copies or substantial portions of the Software.

  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
  THE SOFTWARE.

 ==============================================================================
  参考として The MIT License の日本語訳を下記に併記しますが、頒布条件としては、
  上記原文に従ってください。
 ==============================================================================

  The MIT License

  Copyright (c) 2008-2009 Shark++ Software.

  以下に定める条件に従い、本ソフトウェアおよび関連文書のファイル
  （以下「ソフトウェア」）の複製を取得するすべての人に対し、ソフトウェアを
  無制限に扱うことを無償で許可します。これには、ソフトウェアの複製を使用、
  複写、変更、結合、掲載、頒布、サブライセンス、および/または販売する権利、
  およびソフトウェアを提供する相手に同じことを許可する権利も無制限に含まれ
  ます。

  上記の著作権表示および本許諾表示を、ソフトウェアのすべての複製または重要
  な部分に記載するものとします。

  ソフトウェアは「現状のまま」で、明示であるか暗黙であるかを問わず、何らの
  保証もなく提供されます。ここでいう保証とは、商品性、特定の目的への適合性、
  および権利非侵害についての保証も含みますが、それに限定されるものではあり
  ません。作者または著作権者は、契約行為、不法行為、またはそれ以外であろう
  と、ソフトウェアに起因または関連し、あるいはソフトウェアの使用またはその
  他の扱いによって生じる一切の請求、損害、その他の義務について何らの責任も
  負わないものとします。 
 *******************************************************************************/

require_once dirname(__FILE__) . '/PluginTrackback.php';

$PDO = Record::getConnection();
$driver = strtolower($PDO->getAttribute(Record::ATTR_DRIVER_NAME));

switch($driver)
{
case 'mysql':

	$utf8_support = version_compare($PDO->getAttribute(Record::ATTR_CLIENT_VERSION), '4.1.0', '>=');

	$PDO->exec(
		"CREATE TABLE ".TABLE_PREFIX."trackback (
			id int(11) unsigned NOT NULL auto_increment,
			page_id int(11) unsigned NOT NULL default '0',
			title text default NULL,
			url text default NULL,
			excerpt text,
			blog_name text default NULL,
			host text default NULL,
			is_approved tinyint(1) unsigned NOT NULL default '1',
			created_on datetime default NULL,
			PRIMARY KEY  (id),
			KEY page_id (page_id),
			KEY created_on (created_on)
		) ENGINE=MyISAM ".($utf8_support?"DEFAULT CHARSET=utf8":""));

	$PDO->exec("ALTER TABLE ".TABLE_PREFIX."page ADD trackback_status tinyint(1) NOT NULL default '0' AFTER status_id");

	break;

case 'sqlite':

	$PDO->exec(
		"CREATE TABLE trackback (
			id INTEGER NOT NULL PRIMARY KEY,
			page_id INTEGER DEFAULT '0',
			title TEXT,
			url TEXT,
			excerpt TEXT,
			blog_name TEXT,
			host TEXT,
			is_approved BOOLEAN,
			created_on TEXT
		);");

	$PDO->exec("CREATE INDEX trackback_page_id ON trackback (page_id)");
	$PDO->exec("CREATE INDEX trackback_created_on ON trackback (created_on)");

	$PDO->exec("ALTER TABLE page ADD trackback_status INTEGER NOT NULL default '0'");

	break;

default:
	unset(Plugin::$plugins['trackback']);
	Plugin::save();
	Flash::set('error', 'Trackback plugin:Not supprted database type('.$driver.')');
	redirect(get_url());
	exit;
}

Record::insert('Snippet', array(
	'name'          => 'trackback-form',
	'filter_id'     => '',
	'content'       => 
		'<p>'."\n".
		'  トラックバックURL: <input type="text" readonly="readonly" value="<?php echo $this->url().".trackback"; ?>" size="100" /><br />'."\n".
		'  トラックバックを行うときはトラックバックURLに『犬』を英字小文字で追加してください。たとえばサメならば、"http://～.trackbackshark"とします。'."\n".
		'</p>'."\n",
	'content_html'  => 
		'<p>'."\n".
		'  トラックバックURL: <input type="text" readonly="readonly" value="<?php echo $this->url().".trackback"; ?>" size="100" /><br />'."\n".
		'  トラックバックを行うときはトラックバックURLに『犬』を英字小文字で追加してください。たとえばサメならば、"http://～.trackbackshark"とします。'."\n".
		'</p>'."\n",
	'created_on'    => date('Y-m-d H:i:s'),
	'created_by_id' => AuthUser::getId()
	));

Record::insert('Snippet', array(
	'name'          => 'trackback-each',
	'filter_id'     => '',
	'content'       => 
		'<?php if(0 == ($num_trackbacks = trackbacks_count($this))): ?>'."\n".
		'  <p>トラックバックはありません。</p>'."\n".
		'<?php else: ?>'."\n".
		'  <p><?php echo $num_trackbacks; ?>個のトラックバックがあります。</p>'."\n".
		'<?php endif; ?>'."\n".
		'<?php $trackbacks = trackbacks($this); if( !empty($trackbacks) ): ?>'."\n".
		'<ol class="trackbacks">'."\n".
		'<?php foreach ($trackbacks as $trackback): ?>'."\n".
		'  <li class="trackback">'."\n".
		'    <p class="header"><?php echo $trackback->title(); ?></p>'."\n".
		'    <p class="body"><?php echo $trackback->excerpt(); ?></p>'."\n".
		'    <p class="footer"><?php echo $trackback->link(); ?>からのトラックバック &#8212; <?php echo $trackback->date("%Y年%m月%d日 %X"); ?></p>'."\n".
		'  </li>'."\n".
		'<?php endforeach; ?>'."\n".
		'</ol>'."\n".
		'<?php endif; ?'."\n",
	'content_html'  => 
		'<?php if(0 == ($num_trackbacks = trackbacks_count($this))): ?>'."\n".
		'  <p>トラックバックはありません。</p>'."\n".
		'<?php else: ?>'."\n".
		'  <p><?php echo $num_trackbacks; ?>個のトラックバックがあります。</p>'."\n".
		'<?php endif; ?>'."\n".
		'<?php $trackbacks = trackbacks($this); if( !empty($trackbacks) ): ?>'."\n".
		'<ol class="trackbacks">'."\n".
		'<?php foreach ($trackbacks as $trackback): ?>'."\n".
		'  <li class="trackback">'."\n".
		'    <p class="header"><?php echo $trackback->title(); ?></p>'."\n".
		'    <p class="body"><?php echo $trackback->excerpt(); ?></p>'."\n".
		'    <p class="footer"><?php echo $trackback->link(); ?>からのトラックバック &#8212; <?php echo $trackback->date("%Y年%m月%d日 %X"); ?></p>'."\n".
		'  </li>'."\n".
		'<?php endforeach; ?>'."\n".
		'</ol>'."\n".
		'<?php endif; ?'."\n",
	'created_on'    => date('Y-m-d H:i:s'),
	'created_by_id' => AuthUser::getId()
	));
Record::insert('Snippet', array(
	'name'          => 'trackback',
	'filter_id'     => '',
	'content'       => 
		'<?php if ($this->trackback_status != Trackback::NONE): ?>'."\n".
		'<h2>トラックバック</h2>'."\n".
		'<?php if(0 == ($num_trackbacks = trackbacks_count($this))): ?>'."\n".
		'  <p>トラックバックはありません。</p>'."\n".
		'<?php else: ?>'."\n".
		'  <p><?php echo $num_trackbacks; ?>個のトラックバックがあります。</p>'."\n".
		'<?php endif; ?>'."\n".
		'<?php $trackbacks = trackbacks($this); if( !empty($trackbacks) ): ?>'."\n".
		'<ol class="trackbacks">'."\n".
		'<?php foreach ($trackbacks as $trackback): ?>'."\n".
		'  <li class="trackback">'."\n".
		'    <p class="header"><?php echo $trackback->title(); ?></p>'."\n".
		'    <p class="body"><?php echo $trackback->excerpt(); ?></p>'."\n".
		'    <p class="footer"><?php echo $trackback->link(); ?>からのトラックバック &#8212; <?php echo $trackback->date(\'%Y年%m月%d日 %X\'); ?></p>'."\n".
		'  </li>'."\n".
		'<?php endforeach; // trackbacks; ?>'."\n".
		'</ol>'."\n".
		'<?php endif; ?>'."\n".
		'<?php if ($this->trackback_status == Trackback::OPEN): ?>'."\n".
		'<p>'."\n".
		'  トラックバックURL: <input type="text" readonly="readonly" value="<?php echo $this->url().".trackback"; ?>" size="100" /><br />'."\n".
		'  トラックバックを行うときはトラックバックURLに『犬』を英字小文字で追加してください。たとえばサメならば、"http://～.trackbackshark"とします。'."\n".
		'</p>'."\n".
		'<?php endif; ?>'."\n".
		'<?php endif; ?>'."\n",
	'content_html'  => 
		'<?php if ($this->trackback_status != Trackback::NONE): ?>'."\n".
		'<h2>トラックバック</h2>'."\n".
		'<?php if(0 == ($num_trackbacks = trackbacks_count($this))): ?>'."\n".
		'  <p>トラックバックはありません。</p>'."\n".
		'<?php else: ?>'."\n".
		'  <p><?php echo $num_trackbacks; ?>個のトラックバックがあります。</p>'."\n".
		'<?php endif; ?>'."\n".
		'<?php $trackbacks = trackbacks($this); if( !empty($trackbacks) ): ?>'."\n".
		'<ol class="trackbacks">'."\n".
		'<?php foreach ($trackbacks as $trackback): ?>'."\n".
		'  <li class="trackback">'."\n".
		'    <p class="header"><?php echo $trackback->title(); ?></p>'."\n".
		'    <p class="body"><?php echo $trackback->excerpt(); ?></p>'."\n".
		'    <p class="footer"><?php echo $trackback->link(); ?>からのトラックバック &#8212; <?php echo $trackback->date(\'%Y年%m月%d日 %X\'); ?></p>'."\n".
		'  </li>'."\n".
		'<?php endforeach; // trackbacks; ?>'."\n".
		'</ol>'."\n".
		'<?php endif; ?>'."\n".
		'<?php if ($this->trackback_status == Trackback::OPEN): ?>'."\n".
		'<p>'."\n".
		'  トラックバックURL: <input type="text" readonly="readonly" value="<?php echo $this->url().".trackback"; ?>" size="100" /><br />'."\n".
		'  トラックバックを行うときはトラックバックURLに『犬』を英字小文字で追加してください。たとえばサメならば、"http://～.trackbackshark"とします。'."\n".
		'</p>'."\n".
		'<?php endif; ?>'."\n".
		'<?php endif; ?>'."\n",
	'created_on'    => date('Y-m-d H:i:s'),
	'created_by_id' => AuthUser::getId()
	));

// デフォルトを前の状態から拾う
$trackback_default_value =
	array(
		'auto_approve'			=> '1',
		'ping_title'			=> Setting::get('admin_title'),
		'rows_per_page'			=> 100,
		'default_status_id'		=> '0',
		'spam_block_keyword'	=> 'dog',
		'display_count_in_tab'	=> '1',
	);
//$res = $PDO->query('SELECT COUNT(*) FROM '.TABLE_PREFIX.'plugin_settings WHERE plugin_id = \''.PluginTrackback::PLUGIN_ID.'\'');
//if( false == Setting::get(PluginTrackback::PLUGIN_ID.'_auto_approve') &&
//	false != $res && 0 == (int)$res->fetchColumn() )
//{
//	foreach($trackback_default_value as $key => & $value) {
//		$tmp = Setting::get(PluginTrackback::PLUGIN_ID.'_'.$key);
//		if( false != $tmp ) {
//			$value = $tmp;
//		}
//	}
//}

PluginTrackback::setAllSettings($trackback_default_value);

